#' Transcriptional profiles of human epithelial cells in response to heat
#'
#'In vitro cultured HEp2 cells were heated at 37 to 43 degrees Celsisu for 60 min and microarray gene expression profiles were acquired
#'at 37, 40, 41, 42 and 43 degrees Celsius.
#'
#' @docType data
#'
#' @usage data(heat)
#'
#' @format A data frame with 1393 rows and 5 variables:
#' \describe{
#'   \item{Hep2_37}{gene expression of HEp2 cells at 37 degrees Celsius}
#'   \item{Hep2_40}{gene expression of HEp2 cells at 40 degrees Celsius}
#'   \item{Hep2_41}{gene expression of HEp2 cells at 41 degrees Celsius}
#'   \item{Hep2_42}{gene expression of HEp2 cells at 42 degrees Celsius}
#'   \item{Hep2_43}{gene expression of HEp2 cells at 43 degrees Celsius}
#' }
#'
#' @source J. M. Laramie, T. P. Chung, B. Brownstein, G. D. Stormo, J. P. Cobb, Transcriptional profiles of human epithelial cells
#' in response to heat: computational evidence for novel heat shock proteins. Shock 29, 623-630 (2008).
"heat"



